/*
 * command.java
 * Douglas S. J. De Couto
 * 27 August 1999
 */

/*
 * Copyright (C) 1999 Douglas S. J. De Couto
 * <decouto@lcs.mit.edu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package decouto.garble;

/** Garmin protocol constants.  Used by the Garmin application and
    link layers. 
    @author Douglas S. J. De Couto <a href="mailto:decouto@lcs.mit.edu">decouto@lcs.mit.edu</a>
    @version 27 August 1999 0.1 
    @see decouto.garble.apllication_layer
    @see decouto.garble.link_layer */
class command {
  static final short cmnd_abort_transfer = 0x00, // protocol A010
    cmnd_transfer_alm = 0x01,
    cmnd_transfer_posn = 0x02,
    cmnd_transfer_prx = 0x03, 
    cmnd_transfer_rte = 0x04,
    cmnd_transfer_time = 0x05,
    cmnd_transfer_trk = 0x06,
    cmnd_transfer_wpt = 0x07,
    cmnd_turn_off_pwr = 0x08,
    cmnd_start_pvt_data = 0x31,
    cmnd_stop_pvt_data = 0x32,
	
    // protocol A011
    cmnd_abort_transfer011 = 0x00,
    cmnd_transfer_alm011 = 0x04,
    cmnd_transfer_rte011 = 0x08,
    cmnd_transfer_time011 = 0x14,
    cmnd_transfer_wpt011 = 0x15,
    cmnd_turn_off_pwr011 = 0x1a;

}
