/*
 * physical_layer.java
 * Douglas S. J. De Couto
 * 26 August 1999
 */

/*
 * Copyright (C) 1999 Douglas S. J. De Couto
 * <decouto@lcs.mit.edu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package decouto.garble;

/** Interface to the physical layer for communicating with the Garmin
    protocol device.  All data transfer between the link layer and the
    device goes through this interface.  Timeouts should be
    implemented so that application_layer.get_product_data will work
    properly.
    @author Douglas S. J. De Couto <a href="mailto:decouto@lcs.mit.edu">decouto@lcs.mit.edu</a>
    @version 26 August 1999 0.1 
    @see decouto.garble.link_layer */
interface physical_layer {
  void putbyte(byte b) throws not_possible, timeout;
  byte getbyte() throws not_possible, timeout;
}
