/*
 * product_data.java
 * Douglas S. J. De Couto
 * 2 September 1999
 */

/*
 * Copyright (C) 1999 Douglas S. J. De Couto
 * <decouto@lcs.mit.edu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package decouto.garble;

/** Product data sent by the GPS, returned by
    application_layer.get_product_data.
    @author Douglas S. J. De Couto <a href="mailto:decouto@lcs.mit.edu">decouto@lcs.mit.edu</a>
    @version 2 September 1999 0.1 
    @see decouto.garble.application_layer#get_product_data */
class product_data {
  /** Device product ID */
  public short product_id;
  /** Describes software version */
  public short software_version;
  /** Describes device */
  public String product_description;

  /** Return a string describing the product data.
      @return String in this format: "<product description (id: <product_id>; software vers.: <version>)" */
  public String toString() {
    return product_description + 
      " (id: " + product_id + 
      "; software vers.: " + software_version + ")";
  }
}
